perl-Test-Needs-0.2.2-4-rosa2016.1.noarch.rpm


Advertisement

Description

perl-Test-Needs - Skip tests when modules not available

Property Value
Distribution ROSA 2016.1
Repository ROSA Main Updates x86_64
Package name perl-Test-Needs
Package version 0.2.2
Package release 4-rosa2016.1
Package architecture noarch
Package type rpm
Installed size 15.39 KB
Download size 11.21 KB
Official Mirror mirror.rosalab.ru
Skip test scripts if modules are not available. The requested modules will
be loaded, and optionally have their versions checked. If the module is
missing, the test script will be skipped. Modules that are found but fail
to compile will exit with an error rather than skip.
If used in a subtest, the remainder of the subtest will be skipped.
Skipping will work even if some tests have already been run, or if a plan
has been declared.

Alternatives

Package Version Architecture Repository
perl-Test-Needs-0.2.2-4-rosa2016.1.noarch.rpm 0.2.2 noarch ROSA Main Updates
perl-Test-Needs-0.2.2-3-rosa2016.1.noarch.rpm 0.2.2 noarch ROSA Contrib
perl-Test-Needs-0.2.2-3-rosa2016.1.noarch.rpm 0.2.2 noarch ROSA Contrib
perl-Test-Needs - - -

Requires

Name Value
perl(Test2::Event) -
perl(abi) >= 5.20.3

Provides

Name Value
perl(Test::Needs) == 0.2.2
perl-Test-Needs == 0.2.2-4:2016.1

Download

Type URL
Binary Package perl-Test-Needs-0.2.2-4-rosa2016.1.noarch.rpm
Source Package perl-Test-Needs-0.2.2-4.src.rpm

Install Howto

  1. Enable ROSA Main Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Test-Needs rpm package:
    # urpmi perl-Test-Needs

Files

Path
/usr/lib/perl5/vendor_perl/5.20.3/Test/Needs.pm
/usr/share/doc/perl-Test-Needs/Changes
/usr/share/doc/perl-Test-Needs/META.json
/usr/share/doc/perl-Test-Needs/META.yml
/usr/share/doc/perl-Test-Needs/README
/usr/share/man/man3/Test::Needs.3pm.xz

Changelog

2017-06-26 - Denis Silakov <dsilakov@virtuozzo.com> 0.2.2-4
- (030112c) Move to main

See Also

Package Description
perl-Test-Pod-1.520.0-1-rosa2016.1.noarch.rpm Check for POD errors in files
perl-Test-Script-1.180.0-1-rosa2016.1.noarch.rpm Cross-platform basic tests for scripts
perl-Test-Simple-1.302.85-1-rosa2016.1.noarch.rpm Basic utilities for writing tests
perl-Test-utf8-1.10.0-5-rosa2016.1.noarch.rpm Handy utf8 tests
perl-Text-Glob-0.110.0-1-rosa2016.1.noarch.rpm Match globbing patterns against text
perl-Text-Unidecode-1.300.0-1-rosa2016.1.noarch.rpm Represent Unicode data in US-ASCII characters
perl-Tk-804.34.0-1-rosa2016.1.x86_64.rpm Tk modules for Perl
perl-Tk-devel-804.34.0-1-rosa2016.1.x86_64.rpm Tk modules for Perl (development package)
perl-Tk-doc-804.34.0-1-rosa2016.1.x86_64.rpm Tk modules for Perl (documentation package)
perl-Tree-DAG_Node-1.310.0-1-rosa2016.1.noarch.rpm Class for representing nodes in a tre
perl-Unicode-LineBreak-2017.4.0-1-rosa2016.1.x86_64.rpm UAX
perl-Unicode-UTF8-0.600.0-5-rosa2016.1.x86_64.rpm Encoding and decoding of UTF-8 encoding form
perl-XML-DOM-1.460.0-1-rosa2016.1.noarch.rpm XML::DOM - build DOM Level 1 compliant document structures
perl-XML-LibXML-2.12.900-1-rosa2016.1.x86_64.rpm Perl Binding for libxml2
perl-XML-NamespaceSupport-1.120.0-1-rosa2016.1.noarch.rpm XML-NamespaceSupport module for perl
Advertisement
Advertisement